%define upstream_name experimental
%define upstream_version 0.022

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Experimental features made easy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Bio/LEONT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides:   perl(experimental)

%description
Experimental features made easy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.22.0-2.mga9
+ Revision: 1812920
- Mageia 9 Mass Rebuild

* Tue Jul 14 2020 tv <tv> 0.22.0-1.mga8
+ Revision: 1605971
- 0.022

* Fri Feb 14 2020 umeabot <umeabot> 0.20.0-2.mga8
+ Revision: 1519818
- Mageia 8 Mass Rebuild

* Sat Oct 20 2018 tv <tv> 0.20.0-1.mga7
+ Revision: 1323101
- update to 0.020

* Wed Sep 19 2018 umeabot <umeabot> 0.16.0-4.mga7
+ Revision: 1267869
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.16.0-3.mga6
+ Revision: 1027074
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.16.0-2.mga6
+ Revision: 971316
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.16.0-1.mga6
+ Revision: 891349
- update to 0.016

* Mon Sep 28 2015 sander85 <sander85> 0.14.0-1.mga6
+ Revision: 884573
- update to 0.014

* Mon Jun 22 2015 sander85 <sander85> 0.13.0-1.mga6
+ Revision: 839296
- update to 0.013

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 748862
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 687029
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.10.0-1.mga5
+ Revision: 672937
- update to 0.010

* Thu Mar 13 2014 jquelin <jquelin> 0.7.0-1.mga5
+ Revision: 603059
- update to 0.007

* Thu Feb 06 2014 sander85 <sander85> 0.6.0-1.mga5
+ Revision: 584499
- update to 0.006

* Sat Oct 19 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 531543
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 sander85 <sander85> 0.5.0-1.mga4
+ Revision: 463913
- imported package perl-experimental

